<?php

declare(strict_types=1);

namespace Drupal\oktaplus\Enum;

enum EventType: string {

  case ApplicationUserMembershipAdd = 'application.user_membership.add';
  case ApplicationUserMembershipRemove = 'application.user_membership.remove';
  case GroupUserMembershipAdd = 'group.user_membership.add';
  case GroupUserMembershipRemove = 'group.user_membership.remove';
  case UserAccountUpdateProfile = 'user.account.update_profile';
  case UserLifecycleSuspend = 'user.lifecycle.suspend';
  case UserLifecycleUnsuspend = 'user.lifecycle.unsuspend';
  case UserLifecycleActivate = 'user.lifecycle.activate';
  case UserLifecycleReactivate = 'user.lifecycle.reactivate';
  case UserLifecycleDeactivate = 'user.lifecycle.deactivate';
  case UserLifecycleDeleteInitiated = 'user.lifecycle.delete.initiated';
  case UserSessionEnd = 'user.session.end';

}
